websocket-sharp System.Collections.Specialized.NameValueCollection System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true) Provides a collection of the HTTP headers associated with a request or response. To be added.
- Constructor
  Initializes a new instance of the class.
  To be added.
- Constructor
  A that contains the data to need to serialize the object.
  A that contains the source of the serialized stream associated with the new .
  Initializes a new instance of the class with the specified and .
  To be added.
  is .
  An element with the specified name is not found in .
- Method
  System.Void `` A that contains a header with the name and value separated by a colon (:). Adds the specified to the collection. To be added. is , , or the name part of is .

  does not contain a colon.

  -or-

  is a restricted header.

  -or-

  The name or value part of contains invalid characters.

  The length of the value part of is greater than 65535. The current instance does not allow the .
- Method
  System.Void `` `` A is a request header to add. A that contains the value of the header to add. Adds the specified request with the specified to the collection. To be added. The length of is greater than 65535. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

- Method
  System.Void `` `` A is a response header to add. A that contains the value of the header to add. Adds the specified response with the specified to the collection. To be added. The length of is greater than 65535. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

- Method
  System.Void `` `` A that contains the name of the header to add. A that contains the value of the header to add. Adds a header with the specified and to the collection. To be added.

  or contains invalid characters.

  -or-

  is a restricted header name.

  The length of is greater than 65535. is or . The current instance does not allow the header .
- Method
  System.Void `` `` A that contains the name of the header to add. A that contains the value of the header to add. Adds a header to the collection without checking whether the header is on the restricted header list. To be added. or contains invalid characters. is or . The length of is greater than 65535. The current instance does not allow the .
- Property
  System.String[] Gets all header names in the collection. An array of that contains all header names in the collection. To be added.
- Method
  System.Void Removes all headers from the collection. To be added.
- Property
  System.Int32 Gets the number of headers in the collection. An that indicates the number of headers in the collection. To be added.
- Method
  System.String `` An that is the zero-based index of the header to get. Get the value of the header with the specified in the collection. A that receives the value of the header. To be added.
- Method
  System.String `` A that contains the name of the header to get. Get the value of the header with the specified in the collection. A that receives the value of the header. if there is no header with in the collection. To be added.
- Method
  System.Collections.IEnumerator Gets the enumerator to use to iterate through the . An instance of an implementation of the interface to use to iterate through the . To be added.
- Method
  System.String `` An is the zero-based index of the key to get from the collection. Get the header name at the specified position in the collection. A that receives the header name. To be added.
- Method
  System.Void `` `` A that holds the data to need to serialize the object. A that specifies the destination for the serialization. Populates the specified with the data to need to serialize the object. To be added. is .
- Method
  System.String[] `` An is the zero-based index of the header in the collection. Gets an array of header values stored in the specified position of the header collection. An array of that receives the header values. To be added.
- Method
  System.String[] `` A that contains a header name. Gets an array of header values stored in the specified name. An array of that receives the header values. To be added.
- Method
  System.Boolean `` A that contains the name of the header to test. Determines whether the specified header can be set for the request. true if the header is restricted; otherwise, false. To be added. is or . contains invalid characters.
- Method
  System.Boolean `` `` A that contains the name of the header to test. true if does the test for the response; for the request, false. Determines whether the specified header can be set for the request or the response. true if the header is restricted; otherwise, false. To be added. is or . contains invalid characters.
- Property
  System.String `` A that indicates a request header. Gets or sets the specified request in the collection. A that contains the value of the specified request . To be added. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

  The length of is greater than 65535.
- Property
  System.String `` A that indicates a response header. Gets or sets the specified response in the collection. A that contains the value of the specified response . To be added. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

  The length of is greater than 65535.
- Property
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection Gets a collection of header names in the collection. A that contains a collection of header names in the collection. To be added.
- Method
  System.Void `` An that contains the source of the deserialization event. Implements the interface and raises the deserialization event when the deserialization is complete. To be added.
- Method
  System.Void `` A to remove from the collection. Removes the specified header from the collection. To be added. The current instance does not allow any of values. is a restricted header.
- Method
  System.Void `` A to remove from the collection. Removes the specified header from the collection. To be added. The current instance does not allow any of values. is a restricted header.
- Method
  System.Void `` A that contains the name of the header to remove from the collection. Removes the specified header from the collection. To be added. is or .

  contains invalid characters.

  -or-

  is a restricted header name.

  The current instance does not allow the header .
- Method
  System.Void `` `` A to set. A that contains the value of the header to set. Sets the specified header to the specified value. To be added. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

  The length of is greater than 65535.
- Method
  System.Void `` `` A to set. A that contains the value of the header to set. Sets the specified header to the specified value. To be added. The current instance does not allow any of values.

  is a restricted header.

  -or-

  contains invalid characters.

  The length of is greater than 65535.
- Method
  System.Void `` `` A that contains the name of the header to set. A that contains the value of the header to set. Sets the specified header to the specified value. To be added. is or .

  or contain invalid characters.

  -or-

  is a restricted header name.

  The length of is greater than 65535. The current instance does not allow the header .
- Method
  System.Void `` `` A that holds the data to need to serialize the object. A that specifies the destination for the serialization. Populates the specified with the data to need to serialize the object. To be added. is .
- Method
  System.Byte[] Converts the current to an array of . An array of that receives the converted current . To be added.
- Method
  System.String Returns a that represents the current . A that represents the current . To be added.